Subject: Re: [RFC PATCH 0/8] l2tp: introduce L2TPv3 support

From: James Chapman <[email-masked]>
Date: Tue, 24 Feb 2009 09:17:18 +0000

Herbert Xu wrote:
> James Chapman <[email-masked]> wrote:
>> This patch series implements L2TPv3. It replaces the existing pppol2tp
>> driver with a number of separate drivers, namely:-
>>
>> l2tp_core    - L2TP driver core. Always required.
>> l2tp_ppp     - L2TP PPP
>> l2tp_eth     - L2TPv3 ethernet pseudowire
>> l2tp_ip      - L2TPv3 IP encapsulation
>> l2tp_netlink - L2TPv3 netlink API
> 
> Have you thought by using the rtnl_link_ops interface instead
> of your own netlink API?

I did, yes. I decided against it only because I didn't want to cause
confusion with what I perhaps wrongly perceive as an API for managing
net devices. In the L2TPv3 case, there might not be a netdev directly
associated with a newlink API call, for example. I've no problem with
switching the code to use it if it is preferred.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development